Record an approval action in expense history
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/transactions/{transaction_id}/expense_history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"acted_at": "2023-11-07T05:31:56Z",
"action": "<string>",
"approval_policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval_policy_name": "<string>",
"approval_policy_process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval_source": "policy",
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reject_reason": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/transactions/{transaction_id}/expense_history"
payload = {
"acted_at": "2023-11-07T05:31:56Z",
"action": "<string>",
"approval_policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval_policy_name": "<string>",
"approval_policy_process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval_source": "policy",
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reject_reason": "<string>"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
acted_at: '2023-11-07T05:31:56Z',
action: '<string>',
approval_policy_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
approval_policy_name: '<string>',
approval_policy_process_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
approval_request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
approval_source: 'policy',
entity_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reject_reason: '<string>'
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/transactions/{transaction_id}/expense_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Transactions
Record an approval action in expense history
POST
/
finops
/
v1
/
transactions
/
{transaction_id}
/
expense_history
Record an approval action in expense history
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
application/json
Timestamp when this specific action was performed.
The approval action performed: 'approved' or 'rejected'.
Required string length:
1 - 30Approval policy ID.
Approval policy name.
Maximum string length:
255Approval policy process ID.
Approval request ID from approval-requests.
Source of the action. Typically 'policy'.
The user who performed the action.
Reason for rejection, if applicable.
Required string length:
1 - 1024Response
Successful Response
Creation status. Always 'created'.
Was this page helpful?
⌘I